-- phpMyAdmin SQL Dump
-- version 5.2.1
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Generation Time: Mar 16, 2025 at 09:22 PM
-- Server version: 10.4.32-MariaDB
-- PHP Version: 8.0.30

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `repair_system`
--

-- --------------------------------------------------------

--
-- Table structure for table `reports`
--

CREATE TABLE `reports` (
  `id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `room_id` int(11) NOT NULL,
  `title` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `image_url` varchar(255) DEFAULT NULL,
  `created_at` timestamp NOT NULL DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `reports`
--

INSERT INTO `reports` (`id`, `user_id`, `room_id`, `title`, `description`, `image_url`, `created_at`) VALUES
(1, 1, 1, 'คอมเปิดไม่ได้', 'จอฟ้า', '/uploads/image-1742140525852.jpg', '2025-03-16 15:55:25'),
(2, 1, 6, 'เน็ตเชื่อมต่อไม่ได้', 'สายแลนขาด', '/uploads/image-1742140736686.jpg', '2025-03-16 15:58:56'),
(3, 3, 12, 'โต๊ะชำรุด', 'โต๊ะพังหัก', '/uploads/image-1742140801120.jpg', '2025-03-16 16:00:01'),
(4, 4, 3, 'เมาส์', 'เมาส์ใช้ไม่ได้', NULL, '2025-03-16 16:23:11');

-- --------------------------------------------------------

--
-- Table structure for table `rooms`
--

CREATE TABLE `rooms` (
  `id` int(11) NOT NULL,
  `room_name` varchar(50) NOT NULL,
  `floor` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `rooms`
--

INSERT INTO `rooms` (`id`, `room_name`, `floor`) VALUES
(1, 'ห้องติดต่ออาจารย์', 2),
(2, 'ห้องสมุด', 2),
(3, 'IF-3C01', 3),
(4, 'IF-3C02', 3),
(5, 'IF-3C03', 3),
(6, 'IF-3C04', 3),
(7, 'IF-3C05', 3),
(8, 'IF-4C01', 4),
(9, 'IF-4C02', 4),
(10, 'IF-4C03', 4),
(11, 'IF-4C04', 4),
(12, 'IF-4C05', 4);

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE `users` (
  `id` int(11) NOT NULL,
  `username` varchar(50) NOT NULL,
  `password_hash` varchar(255) NOT NULL,
  `role` enum('user','admin') DEFAULT 'user',
  `created_at` timestamp NOT NULL DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `users`
--

INSERT INTO `users` (`id`, `username`, `password_hash`, `role`, `created_at`) VALUES
(1, 'chanut', '$2b$10$izGR5sQLu.V4XriTY569L.JlO3rXtM.WAhI4gngDrJ/tEwKZLVKfa', 'user', '2025-03-16 09:39:11'),
(2, 'testuser', '$2b$10$aixXhyGv4UHq7dfG6iQV8es5eGQSH3d4atF0uiajQ7HKew/NGqyj2', 'user', '2025-03-16 10:38:31'),
(3, 'chanapat', '$2b$10$G2fLnyR5rm1TIQZ/A2neZem7qx9VCsHWkQPP5QA8TwANLmaYPEVrO', 'user', '2025-03-16 13:44:07'),
(4, 'theerapong', '$2b$10$E2mpKr3RJ.6KpsSrXSTZEegYOgU0VGidsmGGGqsSHxrx3T4c6AV1.', 'user', '2025-03-16 15:20:10'),
(5, 'admin', '$2b$10$2gHbF1ZJUHWu0KecClpIB.03OLiVecPJGTpKDuqHlfYR3NPH6qGx2', 'user', '2025-03-16 19:37:45');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `reports`
--
ALTER TABLE `reports`
  ADD PRIMARY KEY (`id`),
  ADD KEY `user_id` (`user_id`),
  ADD KEY `room_id` (`room_id`);

--
-- Indexes for table `rooms`
--
ALTER TABLE `rooms`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `users`
--
ALTER TABLE `users`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `username` (`username`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `reports`
--
ALTER TABLE `reports`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT for table `rooms`
--
ALTER TABLE `rooms`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=13;

--
-- AUTO_INCREMENT for table `users`
--
ALTER TABLE `users`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- Constraints for dumped tables
--

--
-- Constraints for table `reports`
--
ALTER TABLE `reports`
  ADD CONSTRAINT `reports_ibfk_1` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `reports_ibfk_2` FOREIGN KEY (`room_id`) REFERENCES `rooms` (`id`) ON DELETE CASCADE;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
